Paiements

Initier le paiement d'un avenant

POST
/provider/endorsements/{endorsementId}/payment/init

Authorization

bearerAuth BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER
AuthorizationBearer <token>

Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.

In: header

Scope: BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER

Path Parameters

endorsementId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/endorsements/string/payment/init"
{
  "endorsementId": "string",
  "premiumId": "string",
  "amount": 0,
  "paymentUrl": "https://paiement.pooltpv.app/pay/...",
  "paymentReference": "pi_2804731ca80a4f1b92df0bce",
  "expiresAt": "2026-10-06T08:38:39",
  "endorsement": {
    "id": "string",
    "contractId": "string",
    "endorsementTypeId": "string",
    "endorsementCode": "AFFAIRE_NOUVELLE",
    "companyId": "string",
    "brokerId": "string",
    "premiumId": "string",
    "durationId": "string",
    "payload": {},
    "sequenceNumber": 0,
    "reference": "AV-AFFAIRE_NOUVELLE-1791274717947",
    "paymentReference": "pi_91cb5dddcb204a959396ab0f",
    "paymentLink": "string",
    "orderNumber": "string",
    "effectiveDate": "2026-10-06T08:38:39",
    "coverageStart": "2026-10-06T08:38:39",
    "coverageEnd": "2026-10-06T08:38:39",
    "status": "QUOTE",
    "premiumImpact": "INCREASE",
    "premiumDelta": 0,
    "reasonId": "string",
    "reasonCode": "string",
    "reasonComment": "string",
    "changes": {},
    "headerSnapshot": {},
    "vehicleChanges": {},
    "vehiclesAdded": 0,
    "vehiclesRemoved": 0,
    "issuedAt": "2026-10-06T08:38:39",
    "cancelledAt": "2026-10-06T08:38:39",
    "createdDate": "2026-10-06T08:38:39",
    "lastModifiedDate": "2026-10-06T08:38:39"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}